QGIS Application - Feature request #12124
Set QGIS Proxy settings before installation
2015-02-04 02:39 AM - armini1 -

Status: Open

Priority: Normal

Assignee:

Category: Build/Install

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 20318
Description

Actually the proxy is configured in {home}/.config/QGIS/QGIS2.conf

This file is generated when the specific user starts QGIS for the first time and the changes which are made under the Option menu are

stored to this file too.

A problem occurs under a distributed environment. Maybe qgis should be distributed to different clients in by using packages. The
package distributing systems only installs qgis on the specific client, but is not able to define the proxy settings at this time.

It would be better to allow the default proxy settings to be defined at /etc/qgis/ level - maybe as a template for
{home}/.config/QGIS/QGIS2.conf and not to set it by the application itself :-( .

History

#1 - 2015-05-10 01:03 AM - Giovanni Manghi
- Target version changed from Version 2.8 to Version 2.8.2

#2 - 2015-05-10 01:42 AM - Jiirgen Fischer

- Target version changed from Version 2.8.2 to Future Release - Nice to have

#3 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No
